=== debian/changelog ===
btag (1.0.1-1ubuntu2) natty; urgency=low

  * boost-system.patch: library flag must be given after object file.

 -- Ilya Barygin <barygin@gmail.com>  Sat, 08 Jan 2011 18:53:08 +0300

btag (1.0.1-1ubuntu1) natty; urgency=low

  *  debian/rules: added -lboost_system to LDFLAGS to force a fix link with
     libboost. This fixes a FTBFS with binutils-gold.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 09 Nov 2010 18:16:31 +0000

btag (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #594749)

 -- Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>  Tue, 05 Oct 2010 22:30:53 -0300
