=== debian/control ===
Source: btag
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake, pkg-config, libboost-dev, libboost-filesystem-dev, libtag1-dev
Standards-Version: 3.9.1
Homepage: http://github.com/fernandotcl/btag

Package: btag
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interactive command-line based multimedia tag editor
 btag is an interactive utility for tagging multimedia files in batches.
 tries to automate most of the process by stripping away stray whitespace
 guessing the best capitalization style for the text fields and keeping
 state on the current album being tagged.
 .
 btag can change the capitalization of text fields even when those contain
 non-ASCII characters, relying on the standard library to perform the
 appropriate case conversions. It works on directories containing complete
 albums as well as on individual files.
 .
 All tag formats supported by TagLib should be supported by btag. This
 includes (among others) ID3v1 and ID3v2 tags found in MP3 files, Ogg
 Vorbis comments, ID3 tags and Vorbis comments in FLAC files.
