=== debian/rules ===
#!/usr/bin/make -f
# vi: ts=8 sw=8 noet

%:
	dh $@
