=== debian/watch ===
version=3
opts=filenamemangle=s/.*release/btag/,versionmangle=s/release-// \
    http://githubredir.debian.net/github/fernandotcl/btag .*/release-(.*).tar.gz
