## btag 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,19 +2,18 @@
 project(btag)
 
 if(CMAKE_COMPILER_IS_GNUCXX)
-    set(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror")
-    set(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} -ggdb -O0")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror")
-    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} -ggdb -O0 -D_DEBUG")
+    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} -ggdb -O0")
 endif(CMAKE_COMPILER_IS_GNUCXX)
 
-find_package(Boost 1.42.0 COMPONENTS filesystem REQUIRED)
+find_package(Boost 1.46.0 COMPONENTS filesystem system REQUIRED)
 
 find_package(PkgConfig)
 pkg_check_modules(TAGLIB REQUIRED taglib)
 
 set(BTAG_SOURCES
     src/BasicStringFilter.cpp
+    src/ConfirmationHandler.cpp
     src/EnglishTitleLocalizationHandler.cpp
     src/InteractiveTagger.cpp
     src/main.cpp
@@ -28,6 +27,7 @@
 set(BTAG_HEADERS
     src/BasicStringFilter.h
     src/CapitalizationFilter.h
+    src/ConfirmationHandler.h
     src/ConservativeRenamingFilter.h
     src/EnglishTitleLocalizationHandler.h
     src/InteractiveTagger.h
@@ -46,3 +46,12 @@
 target_link_libraries(btag ${Boost_LIBRARIES} ${TAGLIB_LIBRARIES})
 
 install(TARGETS btag DESTINATION bin)
+
+set(CPACK_PACKAGE_VERSION_MAJOR "1")
+set(CPACK_PACKAGE_VERSION_MINOR "1")
+set(CPACK_PACKAGE_VERSION_PATCH "1")
+set(CPACK_SOURCE_GENERATOR "TGZ")
+set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
+set(CPACK_SOURCE_IGNORE_FILES "/.git;/.gitignore;${CPACK_SOURCE_IGNORE_FILES}")
+include(CPack)
+add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
