=== debian/changelog ===
btag (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>  Sat, 09 Jul 2011 19:15:40 -0300

btag (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Fixes FTBFS with the linker changes in wheezy (Closes: #602959)
  * Fixes FTBFS with libboost-filesystem >=1.46.0
  * Build-depend on libboost-dev (>=1.46.0), libboost-filesystem-dev (>=1.46.0)
  * Bump Standards-Version to 3.9.2 (no changes needed)
  * Bump debhelper compat to 8 (no changed needed)
  * Updated copyright file, switched to DEP-5
  * Updated watch file

 -- Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>  Fri, 17 Jun 2011 20:50:31 -0300
