=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: btag
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake, pkg-config, libboost-dev, libboost-filesystem-dev, libtag1-dev
-Standards-Version: 3.9.1
+Maintainer: Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>
+Build-Depends: debhelper (>= 8), cmake, pkg-config, libboost-dev (>= 1.46.0), libboost-filesystem-dev (>= 1.46.0), libtag1-dev
+Standards-Version: 3.9.2
 Homepage: http://github.com/fernandotcl/btag
 
 Package: btag
