=== debian/changelog ===
btag (1.1.2-1) unstable; urgency=low

  * New upstream release
  * Set homepage to the HTTPS address (GitHub defaults to HTTPS)
  * Build-depend on unversioned libboost-dev, we only need
    libboost-filesystem-dev >=1.46.0 for the v3 API
  * Use dpkg-buildflags for hardened build flags, including -fPIE
  * Build-depend on dpkg-dev >= 1.16.1 (for buildflags.mk)
  * Build and run package tests

 -- Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>  Sat, 03 Dec 2011 15:57:56 -0200
