=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: sound
 Priority: optional
 Maintainer: Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>
-Build-Depends: debhelper (>= 8), cmake, pkg-config, libboost-dev (>= 1.46.0), libboost-filesystem-dev (>= 1.46.0), libtag1-dev
+Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 8), cmake, pkg-config, libboost-dev, libboost-filesystem-dev (>= 1.46.0), libtag1-dev
 Standards-Version: 3.9.2
-Homepage: http://github.com/fernandotcl/btag
+Homepage: https://github.com/fernandotcl/btag
 
 Package: btag
 Architecture: any
