=== debian/rules ===
#!/usr/bin/make -f
# vi: ts=8 sw=8 noet

DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS = "hardening=+pie"
include /usr/share/dpkg/buildflags.mk

EXTRA_CMAKE_FLAGS =
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
EXTRA_CMAKE_FLAGS = -DENABLE_TESTS=1
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CMAKE_FLAGS)
