=== debian/changelog ===
btag (1.1.3-1build2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 09:47:36 +0100

btag (1.1.3-1build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:40 +0100

btag (1.1.3-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.9.3 (no changes needed)
  * Fixed the copyright format URL in debian/copyright
  * Bumped the copyright years in debian/copyright
  * Formatted debian/control with wrap-and-sort
  * Imported changes from a patch submitted by Simon Ruderich (thanks!) to
    enable all hardening flags and copy CPPFLAGS into CFLAGS/CXXFLAGS since
    CMake doesn't use CPPFLAGS (Closes: #662970)

 -- Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>  Wed, 07 Mar 2012 22:50:32 -0300
