=== debian/watch ===
version=3
https://github.com/fernandotcl/btag/downloads /downloads/fernandotcl/btag/btag-(.*).tar.gz
