=== debian/changelog ===
btag (1.4.1-1) unstable; urgency=medium

  * Orphan the package. (Closes: #1116448)
  * debian/control: Bump Standards-Version to 4.7.2.
  * debian/patches/0002-cmake-4.0-compatibility.patch:
    Add patch to fix cmake 4.0 compatibility. (Closes: #1112737)

 -- Boyuan Yang <byang@debian.org>  Tue, 07 Oct 2025 14:51:38 -0400

btag (1.4.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Update build-dep package names:
    + pkg-config => pkgconf.
    + libtag1-dev => libtag-dev.
  * Rebuild against taglib 2.0.2.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 19:07:20 -0500

btag (1.4.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * debian/watch: Fix monitoring script.
  * debian/copyright: Updated.
  * debian/: Apply wrap-and-sort -abst.
  * debian/: Refresh packaging:
    + Bump Standards-Version to 4.6.2.
    + Bump debhelper compat to v13.
    + Add missing build-dep libboost-locale-dev, libedit-dev, libcue-dev.
  * debian/control: Fix description typo. (Closes: #743805)
  * debian/control: Add missing build-dep zlib1g-dev (See #997224)
  * debian/patches/0001-Fix-deprecated-funcs-with-Taglib.patch:
    Fix FTBFS with boost1.83. (Closes: #997224) (Closes: #1056092)

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Dec 2023 12:08:56 -0500
