=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,13 @@
 # vi: ts=8 sw=8 noet
 
 DPKG_EXPORT_BUILDFLAGS = 1
-DEB_BUILD_MAINT_OPTIONS = "hardening=+pie"
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/buildflags.mk
+
+# CMake doesn't use CPPFLAGS, so pass them to CFLAGS/CXXFLAGS to enable
+# missing (hardening) flags
+CFLAGS   += $(CPPFLAGS)
+CXXFLAGS += $(CPPFLAGS)
 
 EXTRA_CMAKE_FLAGS =
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
