=== debian/watch ===
version=4
opts="filenamemangle=s%.*/release-@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/fernandotcl/btag/tags?per_page=100 \
 https://api.github.com/repos/fernandotcl/btag/tarball/refs/tags/release-@ANY_VERSION@
